Skip to main content
GET
/
users
/
{user_id}
Get user by ID
curl --request GET \
  --url https://api.fluxer.app/v1/users/{user_id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "username": "<string>",
  "discriminator": "<string>",
  "global_name": "<string>",
  "avatar": "<string>",
  "avatar_color": 1073741823,
  "flags": 1073741823,
  "bot": true,
  "system": true
}

Authorizations

Authorization
string
header
required

Bot token: Authorization: Bot <token>. This is the primary authentication method for bot applications.

Path Parameters

user_id
string<snowflake>
required

The ID of the user

Pattern: ^(0|[1-9][0-9]*)$

Response

Success

id
string
required

The unique identifier (snowflake) for this user

Pattern: ^(0|[1-9][0-9]*)$
username
string
required

The username of the user, not unique across the platform

discriminator
string
required

The four-digit discriminator tag of the user

global_name
string | null
required

The display name of the user, if set

avatar
string | null
required

The hash of the user avatar image

avatar_color
integer<int32> | null
required

The dominant avatar color of the user as an integer

Required range: 0 <= x <= 2147483647
flags
integer<int32>
required

The public flags on the user account

Required range: 0 <= x <= 2147483647
bot
boolean

Whether the user is a bot account

system
boolean

Whether the user is an official system user